www/badwolf - The NetBSD Packages Collection

Minimalist and privacy-oriented webkit browser

badwolf is a minimalist browser that cares about privacy, it is based on
WebKitGTK and thus also accepts WebKitGTK (and dependencies) flags and
environment variables.

Runtime configuration specific to badwolf will probably get added at a later
release.

- No browser-level tracking, multiple ephemeral isolated sessions per new
  unrelated tabs, JavaScript off by default.
- Small codebase (~1 500 LoC), reuses existing components when available or
  makes it available.
- WebKitGTK native extensions, Interface customizable through CSS.
- Stable User-Interface; The common shortcuts are available (and documented),
  no vi-modal edition or single-key shortcuts are used.
- Dialogs are only used when required, javascript popups open in a
  background tab.

Build dependencies

pkgtools/x11-links devel/gperf x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/gperf devel/glib2-tools devel/pkgconf

Runtime dependencies

www/webkit-gtk net/libsoup x11/gtk3 graphics/hicolor-icon-theme www/webkit-gtk net/libsoup x11/gtk3 graphics/hicolor-icon-theme

Binary packages

OSArchitectureVersion
NetBSD 9.0aarch64badwolf-1.0.3nb1.tgz
NetBSD 9.0aarch64badwolf-1.0.3.tgz
NetBSD 9.0aarch64badwolf-1.0.3nb1.tgz
NetBSD 9.0i386badwolf-1.0.3.tgz
NetBSD 9.0i386badwolf-1.0.3nb1.tgz
NetBSD 9.0i386badwolf-1.0.3nb1.tgz
NetBSD 9.0x86_64badwolf-1.0.3nb1.tgz
NetBSD 9.0x86_64badwolf-1.0.3nb1.tgz
NetBSD 9.0x86_64badwolf-1.0.3nb1.tgz
NetBSD 9.0x86_64badwolf-1.0.3nb1.tgz
NetBSD 9.0x86_64badwolf-1.0.3.tgz
NetBSD 9.0x86_64badwolf-1.0.3nb1.tgz
NetBSD 9.0x86_64badwolf-1.0.3nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.